Swisslinux.org

− The GNU/Linux crossroads in Switzerland −

 

Language

 

The Forum

You are not logged in.

#1 17 May 2014 15:10:09

flavie
Humain(e) libre
 
Registered: 26 Dec 2013
Posts: 34

[Résolu] Impossible d'installer le bon plug-in Java

Hello!

Pour élire par Internet les conseillers consulaires de Suisse (je suis Française), le système de vote teste ma configuration et me dit "Votre configuration actuelle ne vous permet pas de voter par internet. Veuillez activer Java dans les options de configuration de votre navigateur internet."

Malheureusement, Firefox ne me propose pas le plug-in Java. J'ai pourtant installé, depuis la logithèque:
- IcedTea Java Web Start
- Moteur OpenJDK Java 7
- Panneau de configuration IcedTea Web
- Suppléments restreints Ubuntu

Lorsque je vais dans Firefox / Outils / Modules complémentaires / Plugins et que  je recherche "Java 7", je ne trouve rien qui ressemble...

Je reste perplexe et frustrée de ne pouvoir exercer mon droit de vote...

Last edited by flavie (19 May 2014 19:08:36)


Portable why! W253EU, Ubuntu 16.04 LTS

Offline

 

#2 18 May 2014 00:05:28

Battant
Gourou(e) du libre
 
Registered: 06 Aug 2013
Posts: 284

Re: [Résolu] Impossible d'installer le bon plug-in Java

Bonjour,

J'ai fait le test chez moi, appartement le navigateur ne reconnais pas la version open source de java. Il faut installer le package d'oracle

plus d'infos ici (en anglais)

http://www.webupd8.org/2012/01/install- … u-via.html


Il faut juste exécuter les une après les autre les commandes dans un terminal en entrant votre mot de passe utilisateur,

sinon, il y a aussi unpackage pour navigateur que vous pouvez essayer d'installer mais je ne sais pas s'il fonctionne

Greffon Java Icedtea

pour tester votre installation java.

http://www.java.com/en/download/installed.jsp

J'espère avoir pu vous aider.

Salutations

Battant

Last edited by Battant (18 May 2014 00:07:36)

Offline

 

#3 19 May 2014 18:37:45

François Marthaler
Modérateur
From: Prilly
Registered: 07 Sep 2013
Posts: 1589
Website

Re: [Résolu] Impossible d'installer le bon plug-in Java

Pour utiliser Java 7 sur Ubuntu, il faut installer le dépôt logiciel correspondant.

J'ai trouvé les explications sur le forum de la-vache-libre.org.

Ouvrir une fenêtre terminal avec [Ctrl]+[Alt]+[T] et taper les instructions ci-dessous, suivies d'un [Enter] et de votre mot de passe administrateur (celui du login; il ne s'affiche pas, pas même sous forme de petits points):

Code:

sudo add-apt-repository ppa:webupd8team/java

Code:

sudo apt-get update

(comme il vient d'être saisi, le mot de passe administrateur n'a pas besoin d'être saisi à nouveau)

Code:

sudo apt-get install oracle-java7-installer

La dernière commande met 4-5 minutes à s'exécuter.

Ne reste plus qu'à bien voter... wink


laptop why! N240JU-PRO, Intel Core i7-6500U, RAM 8 Gb, Ubuntu 16.04 LTS

Offline

 

#4 19 May 2014 19:08:17

flavie
Humain(e) libre
 
Registered: 26 Dec 2013
Posts: 34

Re: [Résolu] Impossible d'installer le bon plug-in Java

Merci! Merci! Merci! C'est fait, les 2 doigts dans le nez! De surcroît, je crois que j'ai voté juste! big_smile

J'ai marqué le problème comme [Résolu].


Portable why! W253EU, Ubuntu 16.04 LTS

Offline

 

Board footer

Powered by FluxBB